com.fasterxml.jackson.databind

## Class InjectableValues.Std

- java.lang.Object
- - com.fasterxml.jackson.databind.InjectableValues
  - - com.fasterxml.jackson.databind.InjectableValues.Base
    - - com.fasterxml.jackson.databind.InjectableValues.Std

All Implemented Interfaces:
  Serializable

Enclosing class:
  InjectableValues

    public static class InjectableValues.Std
    extends InjectableValues.Base
    implements Serializable

Simple standard implementation which uses a simple Map to store values to inject, identified by simple String keys.

See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.InjectableValues

`InjectableValues.Base, InjectableValues.Std`

### Field Summary

Fields
`protected Map<String,Object>` `_values`

### Constructor Summary

Constructors
Constructor and Description
`Std()`
`Std(Map<String,Object> values)`

### Method Summary

All Methods Instance Methods Concrete Methods
`InjectableValues.Std` `addValue(Class<?> classKey, Object value)`
`InjectableValues.Std` `addValue(String key, Object value)`

`Object`

`findInjectableValue(DeserializationContext ctxt, Object valueId, BeanProperty forProperty, Object beanInstance, Boolean optional, Boolean useInput)`
Method called to find value identified by id `valueId` to inject as value of specified property during deserialization, passing POJO instance in which value will be injected if it is available (will be available when injected via field or setter; not available when injected via constructor or factory method argument).

### Methods inherited from class com.fasterxml.jackson.databind.InjectableValues.Base

`_handleMissingValue, _validateKey, findInjectableValue`

### Methods inherited from class com.fasterxml.jackson.databind.InjectableValues

`empty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### _values

    protected final Map<String,Object> _values

### Constructor Detail

#### Std

    public Std()

#### Std

    public Std(Map<String,Object> values)

### Method Detail

#### addValue

    public InjectableValues.Std addValue(String key,
                                         Object value)

#### addValue

    public InjectableValues.Std addValue(Class<?> classKey,
                                         Object value)

#### findInjectableValue

    public Object findInjectableValue(DeserializationContext ctxt,
                                      Object valueId,
                                      BeanProperty forProperty,
                                      Object beanInstance,
                                      Boolean optional,
                                      Boolean useInput)
                               throws JsonMappingException

Description copied from class: `InjectableValues`
Method called to find value identified by id `valueId` to inject as value of specified property during deserialization, passing POJO instance in which value will be injected if it is available (will be available when injected via field or setter; not available when injected via constructor or factory method argument).

Overrides:
  `findInjectableValue` in class `InjectableValues`
Parameters:
  `ctxt` - Deserialization context
  `valueId` - Object that identifies value to inject; may be a simple name or more complex identifier object, whatever provider needs
  `forProperty` - Bean property in which value is to be injected
  `beanInstance` - Bean instance that contains property to inject, if available; null if bean has not yet been constructed.
  `optional` - Flag used for configuring the behavior when the value to inject is not found
Throws:
  `JsonMappingException`